package com.bonus.core.report.api.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

public class ReportCustConsumeSumDTO {
   @ApiModelProperty("人员id")
   private @NotNull Long custId;
   @ApiModelProperty("餐次类型")
   private List<Integer> mealtimeTypeList;
   @ApiModelProperty("订单类型")
   private List<Integer> orderTypeList;
   @ApiModelProperty("查询开始时间")
   private String startTime;
   @ApiModelProperty("查询结束时间")
   private String endTime;

   public Long getCustId() {
      return this.custId;
   }

   public List<Integer> getMealtimeTypeList() {
      return this.mealtimeTypeList;
   }

   public List<Integer> getOrderTypeList() {
      return this.orderTypeList;
   }

   public String getStartTime() {
      return this.startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMealtimeTypeList(final List<Integer> mealtimeTypeList) {
      this.mealtimeTypeList = mealtimeTypeList;
   }

   public void setOrderTypeList(final List<Integer> orderTypeList) {
      this.orderTypeList = orderTypeList;
   }

   public void setStartTime(final String startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final String endTime) {
      this.endTime = endTime;
   }

   public ReportCustConsumeSumDTO(final Long custId, final List<Integer> mealtimeTypeList, final List<Integer> orderTypeList, final String startTime, final String endTime) {
      this.custId = custId;
      this.mealtimeTypeList = mealtimeTypeList;
      this.orderTypeList = orderTypeList;
      this.startTime = startTime;
      this.endTime = endTime;
   }

   public ReportCustConsumeSumDTO() {
   }
}
